package domain


type AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest struct {
    /*
        活动ID     */
    ActId  *string `json:"act_id,omitempty" `

    /*
        商品编码列表     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        商品条码列表     */
    BarCodes  *[]string `json:"bar_codes,omitempty" `

    /*
        换购品标识     */
    ExchangeSku  *bool `json:"exchange_sku,omitempty" `

    /*
        分页查询参数     */
    PageInfo  *AlibabaRetailMarketingItempoolSkuQueryActivitySkuQueryDTO `json:"page_info,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetActId(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetSkuCodes(v []string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetBarCodes(v []string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.BarCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetExchangeSku(v bool) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.ExchangeSku = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetPageInfo(v AlibabaRetailMarketingItempoolSkuQueryActivitySkuQueryDTO) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.PageInfo = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) SetOutActId(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest {
    s.OutActId = &v
    return s
}
